---
- divergence:
    class_origin: Dashboard::EmailsController
    line_origin: 10
    class_target: Email
    module_origin: dashboard_controller
    module_target: unknown
    message: module dashboard_controller is not allowed to depend on module unknown
- divergence:
    class_origin: Dashboard::EmailsController
    line_origin: 11
    class_target: Email
    module_origin: dashboard_controller
    module_target: unknown
    message: module dashboard_controller is not allowed to depend on module unknown
- divergence:
    class_origin: Dashboard::EmailsController
    line_origin: 13
    class_target: Email
    module_origin: dashboard_controller
    module_target: unknown
    message: module dashboard_controller is not allowed to depend on module unknown
- divergence:
    class_origin: Dashboard::EmailsController
    line_origin: 14
    class_target: Email
    module_origin: dashboard_controller
    module_target: unknown
    message: module dashboard_controller is not allowed to depend on module unknown
- divergence:
    class_origin: Dashboard::EmailsController
    line_origin: 14
    class_target: Email
    module_origin: dashboard_controller
    module_target: unknown
    message: module dashboard_controller is not allowed to depend on module unknown
- divergence:
    class_origin: Dashboard::EmailsController
    line_origin: 16
    class_target: Email
    module_origin: dashboard_controller
    module_target: unknown
    message: module dashboard_controller is not allowed to depend on module unknown
- divergence:
    class_origin: Dashboard::EmailsController
    line_origin: 16
    class_target: Email
    module_origin: dashboard_controller
    module_target: unknown
    message: module dashboard_controller is not allowed to depend on module unknown
- divergence:
    class_origin: Dashboard::EmailsController
    line_origin: 16
    class_target: Email
    module_origin: dashboard_controller
    module_target: unknown
    message: module dashboard_controller is not allowed to depend on module unknown
- divergence:
    class_origin: Dashboard::EmailsController
    line_origin: 16
    class_target: Email
    module_origin: dashboard_controller
    module_target: unknown
    message: module dashboard_controller is not allowed to depend on module unknown
- divergence:
    class_origin: Dashboard::EmailsController
    line_origin: 16
    class_target: Email
    module_origin: dashboard_controller
    module_target: unknown
    message: module dashboard_controller is not allowed to depend on module unknown
- divergence:
    class_origin: Dashboard::EmailsController
    line_origin: 16
    class_target: Email
    module_origin: dashboard_controller
    module_target: unknown
    message: module dashboard_controller is not allowed to depend on module unknown
- divergence:
    class_origin: Dashboard::EmailsController
    line_origin: 17
    class_target: Email
    module_origin: dashboard_controller
    module_target: unknown
    message: module dashboard_controller is not allowed to depend on module unknown
- divergence:
    class_origin: Dashboard::EmailsController
    line_origin: 24
    class_target: Email
    module_origin: dashboard_controller
    module_target: unknown
    message: module dashboard_controller is not allowed to depend on module unknown
- divergence:
    class_origin: Dashboard::EmailsController
    line_origin: 44
    class_target: Email
    module_origin: dashboard_controller
    module_target: unknown
    message: module dashboard_controller is not allowed to depend on module unknown
- divergence:
    class_origin: Dashboard::EmailsController
    line_origin: 60
    class_target: Email::TYPE
    module_origin: dashboard_controller
    module_target: unknown
    message: module dashboard_controller is not allowed to depend on module unknown
- divergence:
    class_origin: Dashboard::EmailsController
    line_origin: 61
    class_target: Email::TYPE
    module_origin: dashboard_controller
    module_target: unknown
    message: module dashboard_controller is not allowed to depend on module unknown
- divergence:
    class_origin: Dashboard::Graphics
    line_origin: 2
    class_target: Helpers
    module_origin: dashboard_finder
    module_target: unknown
    message: module dashboard_finder is not allowed to depend on module unknown
- divergence:
    class_origin: Dashboard::Statistics
    line_origin: 2
    class_target: Helpers
    module_origin: dashboard_finder
    module_target: unknown
    message: module dashboard_finder is not allowed to depend on module unknown
- divergence:
    class_origin: Dashboard::Statistics
    line_origin: 13
    class_target: Helpers
    module_origin: dashboard_finder
    module_target: unknown
    message: module dashboard_finder is not allowed to depend on module unknown
- divergence:
    class_origin: Report::Page
    line_origin: 4
    class_target: CommonMethods
    module_origin: report_model
    module_target: unknown
    message: module report_model is not allowed to depend on module unknown
- divergence:
    class_origin: Report::User
    line_origin: 4
    class_target: CommonMethods
    module_origin: report_model
    module_target: unknown
    message: module report_model is not allowed to depend on module unknown
- divergence:
    class_origin: Event
    line_origin: 24
    class_target: Retriever
    module_origin: event_model
    module_target: unknown
    message: module event_model is not allowed to depend on module unknown
- divergence:
    class_origin: User
    line_origin: 20
    class_target: SocialNet
    module_origin: user_model
    module_target: unknown
    message: module user_model is not allowed to depend on module unknown
- divergence:
    class_origin: FacebookInfoRetriever
    line_origin: 102
    class_target: Post
    module_origin: facebook_info_retriever
    module_target: post_model
    message: module facebook_info_retriever is not allowed to depend on module post_model
